## mrpt 2.1.3

=== debian/changelog ===
mrpt (1:2.1.3-1) unstable; urgency=medium

  * Moving from libdc1394-22-dev to libdc1394-dev (Closes: #970837).
  * Use system library libsimpleini-dev (Closes: #902488).
  * Fix build in ppc64.
  * New version of upstream sources.

 -- José Luis Blanco Claraco <joseluisblancoc@gmail.com>  Wed, 21 Oct 2020 09:35:46 +0200

mrpt (1:2.1.0-2) unstable; urgency=medium

  * debian/rules: add -g1 to mips builds (Closes: #970818).

 -- José Luis Blanco Claraco <joseluisblancoc@gmail.com>  Sat, 26 Sep 2020 08:10:00 +0200

mrpt (1:2.1.0-1) unstable; urgency=medium

  * New version of upstream sources.
  * Update debian/copyright.

 -- José Luis Blanco Claraco <joseluisblancoc@gmail.com>  Mon, 31 Aug 2020 10:22:44 +0200

=== debian/control ===
Source: mrpt
Section: science
Priority: optional
Maintainer: José Luis Blanco Claraco <joseluisblancoc@gmail.com>
Build-Depends: debhelper (>= 12),
	cmake,
	perl,
	zlib1g-dev,
	libjpeg-dev,
	libwxgtk3.0-gtk3-dev,
	libftdi1-dev,
	freeglut3-dev,
	libopencv-dev,
	libavcodec-dev, libavformat-dev, libavutil-dev, libswscale-dev,
	doxygen,
	ghostscript,
	graphviz,
	texlive, latexmk, texlive-latex-extra, texlive-science,
	doxygen-latex,
	libdc1394-dev [linux-any] | libdc1394-22-dev [linux-any],
	libusb-1.0-0-dev [linux-any],
	libudev-dev [linux-any],
	libfreenect-dev,
	libpcap-dev,
	libopenni2-dev,
	libsuitesparse-dev,
	libeigen3-dev,
	libassimp-dev,
	qtbase5-dev,
	liboctomap-dev,
	libqt5opengl5-dev,
	libjsoncpp-dev,
	libtinyxml2-dev,
	libcv-bridge-dev,
	libgeometry-msgs-dev,
	libnav-msgs-dev,
	librosbag-storage-dev,
	libroscpp-dev,
	libsensor-msgs-dev,
	libstd-srvs-dev,
	libstereo-msgs-dev,
	libtf2-dev,
	libtf2-msgs-dev,
	libglu1-mesa-dev,
	libglfw3-dev,
	libxxf86vm-dev,
	libxrandr-dev,
	libsimpleini-dev,
	libicu-dev
Standards-Version: 4.5.0
Homepage: https://www.mrpt.org/

Package: mrpt-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
	libjs-jquery
Description: Mobile Robot Programming Toolkit - Documentation and examples
 The Mobile Robot Programming Toolkit (MRPT) is an extensive, cross-platform,
 and open source C++ library aimed to help robotics researchers to design and
 implement algorithms in the fields of Simultaneous Localization and Mapping
 (SLAM), computer vision, and motion planning (obstacle avoidance).
 .
 The libraries include classes for easily managing 3D(6D) geometry,
 probability density functions (pdfs) over many predefined variables (points
 and poses, landmarks, maps), Bayesian inference (Kalman filters, particle
 filters), image processing, path planning and obstacle avoidance, 3D
 visualization of all kind of maps (points, occupancy grids, landmarks,...),
 Graph-SLAM, Bundle Adjustment, etc.
 Gathering, manipulating and inspecting very large robotic datasets (Rawlogs)
 efficiently is another goal of MRPT, supported by several classes and
 applications.
 .
 The MRPT is free software and is released under the BSD-new.
 .
 This package provides the documentation and examples of MRPT, and the book
  Writing Scientific Applications with the Mobile Robot Programming Toolkit
  in .ps.gz format.

Package: libmrpt-bayes2.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Mobile Robot Programming Toolkit - bayes library
 More about MRPT libraries in: https://www.mrpt.org/Libraries

Package: libmrpt-bayes-dev
Section: libdevel
Architecture: any
Breaks: libmrpt-dev (<< 1:2)
Replaces: libmrpt-dev (<< 1:2)
Depends: ${misc:Depends},libmrpt-bayes2.1 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-math-dev, libmrpt-config-dev
Description: Mobile Robot Programming Toolkit - bayes development package
 This package provides headers and libraries for development.

Package: libmrpt-comms2.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Mobile Robot Programming Toolkit - comms library
 More about MRPT libraries in: https://www.mrpt.org/Libraries

Package: libmrpt-comms-dev
Section: libdevel
Architecture: any
Breaks: libmrpt-dev (<< 1:2)
Replaces: libmrpt-dev (<< 1:2)
Depends: ${misc:Depends},libmrpt-comms2.1 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-io-dev
Description: Mobile Robot Programming Toolkit - comms development package
 This package provides headers and libraries for development.

Package: libmrpt-config2.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Mobile Robot Programming Toolkit - config library
 More about MRPT libraries in: https://www.mrpt.org/Libraries

Package: libmrpt-config-dev
Section: libdevel
Architecture: any
Breaks: libmrpt-dev (<< 1:2)
Replaces: libmrpt-dev (<< 1:2)
Depends: ${misc:Depends},libmrpt-config2.1 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-core-dev,libmrpt-system-dev,libmrpt-expr-dev
Description: Mobile Robot Programming Toolkit - config development package
 This package provides headers and libraries for development.

Package: libmrpt-containers2.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Mobile Robot Programming Toolkit - containers library
 More about MRPT libraries in: https://www.mrpt.org/Libraries

Package: libmrpt-containers-dev
Section: libdevel
Architecture: any
Breaks: libmrpt-dev (<< 1:2)
Replaces: libmrpt-dev (<< 1:2)
Depends: ${misc:Depends},libmrpt-containers2.1 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-core-dev
Description: Mobile Robot Programming Toolkit - containers development package
 This package provides headers and libraries for development.

Package: libmrpt-core2.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Mobile Robot Programming Toolkit - core library
 More about MRPT libraries in: https://www.mrpt.org/Libraries

Package: libmrpt-core-dev
Section: libdevel
Architecture: any
Breaks: libmrpt-dev (<< 1:2)
Replaces: libmrpt-dev (<< 1:2)
Depends: ${misc:Depends},libmrpt-core2.1 (= ${binary:Version}),
         libmrpt-common-dev
Description: Mobile Robot Programming Toolkit - core development package
 This package provides headers and libraries for development.

Package: libmrpt-detectors2.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Mobile Robot Programming Toolkit - detectors library
 More about MRPT libraries in: https://www.mrpt.org/Libraries

Package: libmrpt-detectors-dev
Section: libdevel
Architecture: any
Breaks: libmrpt-dev (<< 1:2)
Replaces: libmrpt-dev (<< 1:2)
Depends: ${misc:Depends},libmrpt-detectors2.1 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-gui-dev,libmrpt-slam-dev
Description: Mobile Robot Programming Toolkit - detectors development package
 This package provides headers and libraries for development.

Package: libmrpt-expr2.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Mobile Robot Programming Toolkit - expr library
 More about MRPT libraries in: https://www.mrpt.org/Libraries

Package: libmrpt-expr-dev
Section: libdevel
Architecture: any
Breaks: libmrpt-dev (<< 1:2)
Replaces: libmrpt-dev (<< 1:2)
Depends: ${misc:Depends},libmrpt-expr2.1 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-core-dev
Description: Mobile Robot Programming Toolkit - expr development package
 This package provides headers and libraries for development.

Package: libmrpt-graphs2.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Mobile Robot Programming Toolkit - graphs library
 More about MRPT libraries in: https://www.mrpt.org/Libraries

Package: libmrpt-graphs-dev
Section: libdevel
Architecture: any
Breaks: libmrpt-dev (<< 1:2)
Replaces: libmrpt-dev (<< 1:2)
Depends: ${misc:Depends},libmrpt-graphs2.1 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-opengl-dev,libmrpt-poses-dev
Description: Mobile Robot Programming Toolkit - graphs development package
 This package provides headers and libraries for development.

Package: libmrpt-graphslam2.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Mobile Robot Programming Toolkit - graphslam library
 More about MRPT libraries in: https://www.mrpt.org/Libraries

Package: libmrpt-graphslam-dev
Section: libdevel
Architecture: any
Breaks: libmrpt-dev (<< 1:2)
Replaces: libmrpt-dev (<< 1:2)
Depends: ${misc:Depends},libmrpt-graphslam2.1 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-gui-dev,libmrpt-slam-dev
Description: Mobile Robot Programming Toolkit - graphslam development package
 This package provides headers and libraries for development.

Package: libmrpt-gui2.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Mobile Robot Programming Toolkit - gui library
 More about MRPT libraries in: https://www.mrpt.org/Libraries

Package: libmrpt-nanogui2.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Mobile Robot Programming Toolkit - nanogui library
 A custom version of the nanogui library.

Package: libmrpt-gui-dev
Section: libdevel
Architecture: any
Breaks: libmrpt-dev (<< 1:2)
Replaces: libmrpt-dev (<< 1:2)
Depends: ${misc:Depends},libmrpt-gui2.1 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-opengl-dev, libmrpt-nanogui-dev
Description: Mobile Robot Programming Toolkit - gui development package
 This package provides headers and libraries for development.

Package: libmrpt-nanogui-dev
Section: libdevel
Architecture: any
Breaks: libmrpt-dev (<< 1:2)
Replaces: libmrpt-dev (<< 1:2)
Depends: ${misc:Depends},libmrpt-nanogui2.1 (= ${binary:Version}),
         libglfw3-dev
Description: Mobile Robot Programming Toolkit - nanogui development package
 This package provides headers and libraries for development.

Package: libmrpt-hmtslam2.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Mobile Robot Programming Toolkit - hmtslam library
 More about MRPT libraries in: https://www.mrpt.org/Libraries

Package: libmrpt-hmtslam-dev
Section: libdevel
Architecture: any
Breaks: libmrpt-dev (<< 1:2)
Replaces: libmrpt-dev (<< 1:2)
Depends: ${misc:Depends},libmrpt-hmtslam2.1 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-graphslam-dev
Description: Mobile Robot Programming Toolkit - hmtslam development package
 This package provides headers and libraries for development.

Package: libmrpt-hwdrivers2.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Mobile Robot Programming Toolkit - hwdrivers library
 More about MRPT libraries in: https://www.mrpt.org/Libraries

Package: libmrpt-hwdrivers-dev
Section: libdevel
Architecture: any
Breaks: libmrpt-dev (<< 1:2)
Replaces: libmrpt-dev (<< 1:2)
Depends: ${misc:Depends},libmrpt-hwdrivers2.1 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-comms-dev, libmrpt-gui-dev,
         libmrpt-maps-dev, libmrpt-vision-dev
Description: Mobile Robot Programming Toolkit - hwdrivers development package
 This package provides headers and libraries for development.

Package: libmrpt-img2.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Mobile Robot Programming Toolkit - img library
 More about MRPT libraries in: https://www.mrpt.org/Libraries

Package: libmrpt-img-dev
Section: libdevel
Architecture: any
Breaks: libmrpt-dev (<< 1:2)
Replaces: libmrpt-dev (<< 1:2)
Depends: ${misc:Depends},libmrpt-img2.1 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-io-dev, libmrpt-math-dev,
         libmrpt-config-dev
Description: Mobile Robot Programming Toolkit - img development package
 This package provides headers and libraries for development.

Package: libmrpt-io2.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Mobile Robot Programming Toolkit - io library
 More about MRPT libraries in: https://www.mrpt.org/Libraries

Package: libmrpt-io-dev
Section: libdevel
Architecture: any
Breaks: libmrpt-dev (<< 1:2)
Replaces: libmrpt-dev (<< 1:2)
Depends: ${misc:Depends},libmrpt-io2.1 (= ${binary:Version}),
         libmrpt-common-dev, libmrpt-system-dev
Description: Mobile Robot Programming Toolkit - io development package
 This package provides headers and libraries for development.

Package: libmrpt-kinematics2.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same

## mrpt 2.1.4

=== debian/changelog ===
mrpt (1:2.1.4-1) unstable; urgency=medium

  * New version of upstream sources.

 -- José Luis Blanco Claraco <joseluisblancoc@gmail.com>  Mon, 09 Nov 2020 06:30:51 +0100

## mrpt 2.1.5

=== python/CMakeLists.txt ===
project(pymrpt)

find_package(PythonInterp)

# Note: relative paths are relative to ${CMAKE_INSTALL_PREFIX} (defaults to /usr/local on Ubuntu)
set( PYMRPT_INSTALL_DIR "lib/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/dist-packages" )

include_directories(include)
include_directories(
  ${Boost_INCLUDE_DIRS}
  ${PYTHON_INCLUDE_DIRS}
)
# Find Numpy include directory
execute_process(
    COMMAND
    "${PYTHON_EXECUTABLE}" -c
# multiline string; indentation would break this
"try:
    import sys
    import numpy
    sys.stdout.write(numpy.get_include())
except:
    pass
"
    OUTPUT_VARIABLE MRPT_NUMPY_INCLUDE_DIRECTORY
)
if(MRPT_NUMPY_INCLUDE_DIRECTORY)
  include_directories(${MRPT_NUMPY_INCLUDE_DIRECTORY})
endif()

# gcc and clang
if (NOT MSVC)
	add_compile_options(-Wno-unused-local-typedef)
endif()

add_library(pymrpt
  SHARED # Python lib must be shared
  src/system_bindings.cpp
  src/utils_bindings.cpp
  src/kinematics_bindings.cpp
  src/poses_bindings.cpp
  src/slam_bindings.cpp
  src/maps_bindings.cpp
  src/obs_bindings.cpp
  src/nav_bindings.cpp
  src/gui_bindings.cpp
  src/opengl_bindings.cpp
  src/math_bindings.cpp
  src/bayes_bindings.cpp
  src/pnp_bindings.cpp
  src/bindings.cpp
)

# disable eigen: python and eigen alignment seem not to be best friends
#add_definitions(-DEIGEN_DONT_VECTORIZE -DEIGEN_DISABLE_UNALIGNED_ARRAY_ASSERT)
# uncomment to disable ROS support
add_definitions(-DROS_EXTENSIONS)

target_link_libraries(pymrpt
  ${Boost_LIBRARIES}
  ${Opencv_LIBRARIES}
  Python3::Python
)

# remove "lib" prefix from .so filename
set_target_properties(pymrpt PROPERTIES PREFIX "")

install(TARGETS pymrpt
  LIBRARY DESTINATION ${PYMRPT_INSTALL_DIR}
)

# Dependencies (link & includes):
DeclareAppDependencies(pymrpt mrpt::poses mrpt::slam mrpt::obs mrpt::maps mrpt::nav mrpt::gui mrpt::opengl mrpt::vision)

=== libs/core/CMakeLists.txt ===
#---------------------------------------------
# Macro declared in "DeclareMRPTLib.cmake":
#---------------------------------------------
define_mrpt_lib(
	# Lib name
	core
	# Dependencies
	)

if(BUILD_mrpt-core)
	# Includes: <mrpt/config.h> & <mrpt/version.h> config headers:
	target_include_directories(core PUBLIC
		$<BUILD_INTERFACE:${MRPT_CONFIG_FILE_INCLUDE_DIR}>
		$<INSTALL_INTERFACE:include>
	)

	target_link_libraries(core PRIVATE Threads::Threads) # for WorkerThreads

	# Enforce C++17 in all dependent projects:
	mrpt_lib_target_requires_cpp17(core)

	# Fix a MSVC binary-breaking compatibility in MSVC 2017 15.8:
	if (MSVC)
		target_compile_definitions(core PUBLIC -D_ENABLE_EXTENDED_ALIGNED_STORAGE)
	endif()

	if(WIN32)
		target_link_libraries(core PRIVATE Dbghelp) # For mrpt::demangle(), mrpt::callStackBackTrace()
	else()
		target_link_libraries(core PRIVATE ${CMAKE_DL_LIBS}) # For mrpt::callStackBackTrace()
	endif()

	if (CMAKE_MRPT_HAS_BFD)
		target_link_libraries(core PRIVATE ${BFD_LIBRARY})
	endif()

endif()

=== debian/changelog ===
mrpt (1:2.1.5-1~build1) hirsute; urgency=medium

  * Upload to hirsute

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Dec 2020 17:58:39 +0100

mrpt (1:2.1.5-1) unstable; urgency=medium

  * New version of upstream sources.
  * Fix build against newer libjsoncpp (Closes: #976420).
  * Fix AppStream warnings and errors (metainfo files licensed as MIT).

 -- José Luis Blanco Claraco <joseluisblancoc@gmail.com>  Sun, 06 Dec 2020 18:49:18 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Makefile for MRPT Debian package.

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,+fortify

# default: dont build expensive caller graphs with dot in the documentation pkg
export MRPT_genCALLERGRAPHS=NO

# For multiarch support:
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_TARGET_MULTIARCH ?= $(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)
#DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

# SSE options
ifeq ($(DEB_HOST_ARCH),amd64)
CMAKE_ARCH_FLAGS = -DMRPT_AUTODETECT_SIMD=OFF -DENABLE_SSE2=ON -DENABLE_SSE3=ON
else
CMAKE_ARCH_FLAGS = -DMRPT_AUTODETECT_SIMD=OFF
endif

# Unit tests can be run with target "test_legacy", or "test_gdb", which shows stack
# traces on failure:
MRPT_TEST_TARGET = test_legacy

# Debug info from the cmake scripts
export VERBOSE = 1

# Avoid running out of memory on mipsel,mips64el
ifneq (,$(findstring mips,$(DEB_HOST_ARCH)))
  export DEB_CXXFLAGS_MAINT_APPEND += -g1
endif

CMAKE_FLAGS = \
	-DCMAKE_INSTALL_PREFIX="$(CURDIR)/debian/usr/" \
	-DCMAKE_INSTALL_LIBDIR="lib/$(DEB_TARGET_MULTIARCH)" \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	-DCMAKE_BUILD_TYPE=Release  \
	-DMRPT_ALLOW_LGPLV3=ON \
	-DCMAKE_MRPT_USE_DEB_POSTFIXS="1" \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	$(CMAKE_ARCH_FLAGS) \
	

# Don't set: CMAKE_SKIP_RPATH=ON --> it makes unit tests to fail,
# and the rpath is removed anyway by cmake's install target.

%:
	dh $@ --buildsystem=cmake

override_dh_auto_build-arch:
	dh_auto_build -O--buildsystem=cmake

	# Python bindings:
#	dh_python3 --package=python3-mrpt


override_dh_auto_build-indep:
	# Build doc targets:
	dh_auto_build -O--buildsystem=cmake -- \
		man_pages_all \
		documentation_psgz_guides

	# clean useless doxygen files:
	find $(CURDIR)/doc/ -name '*.md5' | xargs -I FIL rm FIL

override_dh_auto_configure:
	# Show CPU flags, to help debugging unit test crashes related to
	# illegal instructions, etc.
	cat /proc/cpuinfo
	# Show env vars for debugging:
	env
	# Autoconfigure step:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_auto_install:
	# Do nothing?
	echo "[override_dh_auto_install]"

override_dh_auto_test-indep:
	echo "[override_dh_auto_test-indep] Do nothing."

override_dh_auto_test-arch:
	# Tests for arch-dependent :
	echo "[override_dh_auto_test-arch]"
	dh_auto_build -O--buildsystem=cmake -- $(MRPT_TEST_TARGET) -j1

override_dh_install:
	# Install:
	dh_auto_build -O--buildsystem=cmake -- install

	# Move all the ".so.x.y" files to the corresponding binary packages:
	# libmrpt-${name}${CMAKE_MRPT_VERSION_NUMBER_MAJOR}.${CMAKE_MRPT_VERSION_NUMBER_MINOR}/usr/...
	VERSION=$$(head version_prefix.txt -n1 | cut -f 1-2 -d . ); tmpfil=$$(mktemp); find $(CURDIR)/debian/ -name "*.so.?.*" > $$tmpfil; cat $$tmpfil | while read line; do f=$$(basename $$line | cut -f 1 -d '.'); echo "Processing so file: $$line, basename: $$f"; dir=$(CURDIR)/debian/$$f$${VERSION}/usr/lib/$(DEB_TARGET_MULTIARCH); mkdir -p $$dir; mv -f $$line $$dir; done

	# JLBC Nov 2018: Due to what is explained in MRPT/cmakemodules/DeclareMRPTLibs.cmake, we need to make some "mv" here:

	# Move all the ".so" files to the proper place: the -dev package:
	tmpfil=$$(mktemp); find $(CURDIR)/debian/ -name "*.so" | grep -v 'dev' | grep -v 'pymrpt' > $$tmpfil; cat $$tmpfil | while read line; do f=$$(basename $$line .so); echo "Processing so file: $$line, basename: $f"; mkdir -p $(CURDIR)/debian/$$f-dev/usr/lib/$(DEB_TARGET_MULTIARCH); mv -vf $$line $(CURDIR)/debian/$$f-dev/usr/lib/$(DEB_TARGET_MULTIARCH); done

	# Move cmake modules to the -dev packages:
	tmpfil=$$(mktemp); find $(CURDIR)/debian/usr/share/ -name '*-config.cmake' > $$tmpfil; cat $$tmpfil | while read line; do f=$$(dirname $$line); f=$$(basename $$f); echo "Processing cmake scripts: $$line, module name: $$f"; dir=$(CURDIR)/debian/lib$$f-dev/usr/share/; mkdir -p $$dir; mv -f $(CURDIR)/debian/usr/share/$$f $$dir; done

	# Move headers to -dev directories:
	cp -vr $(CURDIR)/debian/usr/libmrpt-*dev $(CURDIR)/debian/

	# Move python stuff:
#	mkdir -p $(CURDIR)/debian/python-mrpt/usr/lib
#	mv -v $(CURDIR)/debian/usr/lib/* $(CURDIR)/debian/python-mrpt/usr/lib

	# Move mrpt-doc:
	dir=$(CURDIR)/debian/mrpt-doc/usr/share/doc/mrpt-doc; mkdir -p $$dir; mv -v $(CURDIR)/debian/usr/mrpt-doc/usr/share/doc/mrpt-doc/* $$dir

	# Move mrpt-apps:
	dir=$(CURDIR)/debian/mrpt-apps/usr/; mkdir -p $$dir; cp -vr $(CURDIR)/debian/usr/mrpt-apps/* $$dir/..

	# Move mrpt-common:
	dir=$(CURDIR)/debian/mrpt-common/usr/; mkdir -p $$dir; cp -vr $(CURDIR)/debian/usr/mrpt-common/* $$dir/..

override_dh_missing:
	dh_missing --list-missing

## mrpt 2.1.6

=== debian/changelog ===
mrpt (1:2.1.6-1build1) hirsute; urgency=medium

  * No-change rebuild for opencv soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Dec 2020 08:17:54 +0100

mrpt (1:2.1.6-1) unstable; urgency=medium

  * Drop dependencies on binutils-dev to avoid problems (see bug #976803).
  * Fix mrpt uses private shared bfd library (Closes: #976803).
  * Fix building mrpt against OpenCV 4.5.0 (Closes: #977247).
  * Update debian/rules to ensure proper dh_clean behavior.
  * New version of upstream sources.

 -- José Luis Blanco Claraco <joseluisblancoc@gmail.com>  Mon, 14 Dec 2020 08:16:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: José Luis Blanco Claraco <joseluisblancoc@gmail.com>
 Build-Depends: debhelper (>= 12),
+	debhelper-compat (= 12),
 	cmake,
 	perl,
 	zlib1g-dev,
@@ -47,7 +48,7 @@
 	libxrandr-dev,
 	libsimpleini-dev,
 	libicu-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.mrpt.org/
 
 Package: mrpt-doc
@@ -354,4 +355,3 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -41,14 +41,21 @@
 	-DMRPT_ALLOW_LGPLV3=ON \
 	-DCMAKE_MRPT_USE_DEB_POSTFIXS="1" \
 	-DCMAKE_VERBOSE_MAKEFILE=ON \
+	-DDISABLE_BFD=ON \
 	$(CMAKE_ARCH_FLAGS) \
-	
+	REPLACE_HERE_EXTRA_CMAKE_PARAMS
 
 # Don't set: CMAKE_SKIP_RPATH=ON --> it makes unit tests to fail,
 # and the rpath is removed anyway by cmake's install target.
 
 %:
 	dh $@ --buildsystem=cmake
+
+override_dh_auto_clean:
+	dh_auto_clean -O--buildsystem=cmake
+	# Clean possible leftover from a former build:
+	rm -fr debian/usr
+	find doc/graphslam-engine-guide/ -maxdepth 1  -type f ! -name '*.tex' ! -name 'Makefile' -delete
 
 override_dh_auto_build-arch:
 	dh_auto_build -O--buildsystem=cmake
